export default {
  title: 'Headline',

  componentProps: [
    {
      name: 'children',
      type: 'node',
      description: 'The content of the component',
    },
  ],

  cssProps: [
    {
      name: 'root',
      globalClass: 'PibHeadline-root',
      description: 'Styles applied to root element',
    },
  ],

  examples: [
    {
      code: `
<Headline>
  Trump’s base escapes the worst of job losses
</Headline>`,
    },
  ],
};
