import {
  POLITICO_LIGHT_GRAY_TYPE,
  POLITICO_LINE,
  POLITICO_DARK_GRAY_TYPE,
  POLITICO_BLUE
} from './brand.js';

// BASE
export const TRANSPARENT = 'transparent';
export const BLACK = '#000000';
export const SATAN = '#666';
export const WHITE = '#FFFFFF';
export const GRAY = POLITICO_LIGHT_GRAY_TYPE;
export const LIGHT_GRAY = POLITICO_LINE;
export const DARK_GRAY = SATAN;
export const MEDIUM_GRAY = POLITICO_DARK_GRAY_TYPE;

// OFTEN USED
export const MIDNIGHT = '#312B41';
export const POSITIVE = '#75CCCA';
export const NEGATIVE = '#EF8B67';
export const YES = POSITIVE;
export const NO = NEGATIVE;

// ELEMENT COLORS
export const FACEBOOK = '#3B5998';
export const TWITTER = '#00ACED';
export const MAIL = POLITICO_DARK_GRAY_TYPE;
export const LINK = POLITICO_BLUE;
export const LINK_HOVER = '#0E9AF3';
export const BUTTON = POLITICO_LINE;
export const ANNOTATION = '#FFF1DF';
export const ANNOTATION_HOVER = '#FFF9F1';
export const HIGHLIGHTER_YELLOW = '#FFFAB7';
export const HIGHLIGHTER_ORANGE = '#F9D289';
