// Four color qualitative schemes
export const Q4_AQUA = '#4FC1E7';
export const Q4_GREEN = '#6BAE80';
export const Q4_GRAY = '#3D284D';
export const Q4_PURPLE = '#694ED6';

export const Q4 = {
  AQUA: Q4_AQUA,
  GREEN: Q4_GREEN,
  GRAY: Q4_GRAY,
  PURPLE: Q4_PURPLE,
};

export const Q6_TEAL = '#0D3C73';
export const Q6_DARKBLUE = '#329CAC';
export const Q6_AQUA = '#47BEF8';
export const Q6_ORANGE = '#F95100';
export const Q6_GOLD = '#F7A12D';
export const Q6_DIRT = '#AB9F8F';

export const Q6 = {
  TEAL: Q6_TEAL,
  DARKBLUE: Q6_DARKBLUE,
  AQUA: Q6_AQUA,
  ORANGE: Q6_ORANGE,
  GOLD: Q6_GOLD,
  DIRT: Q6_DIRT,
};

// Maps
export const Q7_GRAY = '#3D284D';
export const Q7_BLUE = '#2F6CBA';
export const Q7_GREEN = '#88C2B2';
export const Q7_PEACH = '#FFCAB3';
export const Q7_CAMEL = '#DFA486';
export const Q7_RED = '#BD3232';
export const Q7_YELLOW = '#EBEB35';

export const Q7 = {
  GRAY: Q7_GRAY,
  BLUE: Q7_BLUE,
  GREEN: Q7_GREEN,
  PEACH: Q7_PEACH,
  CAMEL: Q7_CAMEL,
  RED: Q7_RED,
  YELLOW: Q7_YELLOW,
};

// Qualitative pairs
export const QP_GRAY = '#3D284D';
export const QP_LIGHTGRAY = '#8E8E98';
export const QP_PURPLE = '#7C7CE0';
export const QP_LIGHTPURPLE = '#9D9DEA';
export const QP_GREEN = '#9B9B52';
export const QP_LIGHTGREEN = '#C6C677';

export const PAIRS = {
  GRAY: [QP_GRAY, QP_LIGHTGRAY],
  PURPLE: [QP_PURPLE, QP_LIGHTPURPLE],
  GREEN: [QP_GREEN, QP_LIGHTGREEN],
};
