export default {
  title: 'Footer',

  cssProps: [
    {
      name: 'root',
      globalClass: 'PibFooter-root',
      description: 'Styles applied to root element',
    },
    {
      name: 'linksContainer',
      globalClass: 'PibFooter-links-container',
      description: 'Styles applied to container of the site links',
    },
    {
      name: 'link',
      globalClass: 'PibFooter-link',
      description: 'Styles applied to each site link',
    },
    {
      name: 'legal',
      globalClass: 'PibFooter-legal',
      description: 'Styles applied to the copyright stamp',
    },
  ],

  examples: [
    {
      code: `

<Footer />
`,
    },
  ],
};
